Your Browsing History
- In Stock
- Sold by Newegg
- New

Quick View
A10s SM-A107F SM-A107U (M16 Version) Charging Port Dock Connector Flex Cable Ribbon Part
- Model #: zcw1710
- $18.99 –
- Free Shipping

Quick View
- $17.90 –
- Free Shipping

Quick View
USB C to USB C Cable 240W 6.6ft / 2M, Type C to Type C Cable, PD3.1 Fast Charging Cord Type C 48V 5A Nylon Braided Cable for M-a-c-B-o-o-k Pro i-P-a-d Pro Gal-axy S22/A10 Other USB C Devices
Limited time offer, ends 10/14
- Model #: H-1421
- $14.78 –
- Free Shipping

Quick View
USB Type c Cable, 5 Pack (6FT) Nylon Braided 3A Fast Charging Cord for Galaxy S9 S8 Note 9 Note 8 Galaxy Note 20 10 S21 S20 S10 Plus
- Model #: zcw5589
- $19.50 –
- Free Shipping

Quick View
- $18.99 –
- Free Shipping

Quick View
2PCS/Lot Dock Connector Charging Port Flex Cable Ribbon Repair Part Tab 3 8.0 SM-T311
- Model #: zcw1748
- $19.90 –
- Free Shipping

Quick View
- $17.90 –
- Free Shipping

Quick View
S22 5G S901/S22 plus 5G S906/S22 5G S908 Mainboard Dock Connector Charging Port Flex Cable
- Model #: zcw1715
- $18.99 –
- Free Shipping

Quick View
- $30.50 –
- Free Shipping

Quick View
Mate 20 Lite Charging Port Dock Connector Flex Cable Board Part
- Model #: zcw1515
- $19.90 –
- Free Shipping

Quick View
- $28.90 –
- Free Shipping

Quick View
5A 1M 3.28ft Magnetic Quick Charge Cable Micro Usb Type C Super Fast Charging Phone Usb C LED Light Phone Charge For iPhone Xiaomi Samsung
Limited time offer, ends 10/14
- Model #: H-1975
- $14.14 –
- Free Shipping

Quick View
USB C Cable 10FT, Oculus Quest Link Cable, High Speed Data Transfer & Fast Charging Cable Compatible for Oculus Quest and Gaming PC
Limited time offer, ends 10/14
- Model #: H-1901
- $14.15 –
- Free Shipping

Quick View
Note AT&T I717 Dock Connector Charging Port Flex Cable Ribbon
- Model #: zcw1853
- $21.90 –
- Free Shipping

Quick View
DisplayPort to HDMI, Answin 6ft 1080p DisplayPort to HDMI Cable - Nylon Braided DP to HDMI Uni-Directional Display Port to HDMI Adaptper Cable for Most HDMI Monitors
Limited time offer, ends 10/14
- Model #: H-875
- $16.96 –
- Free Shipping
![USB C to USB C Cable 240W [2 Pack, 3.3ft+6.6ft], Type C Charging Cable, USB C Fast Charging Cord, Nylon Braided USB C Cable Compatible with MacBook Pro 2021, i-Pad Pro, i-Pad Air 4th, Galaxy, Pixel USB C to USB C Cable 240W [2 Pack, 3.3ft+6.6ft], Type C Charging Cable, USB C Fast Charging Cord, Nylon Braided USB C Cable Compatible with MacBook Pro 2021, i-Pad Pro, i-Pad Air 4th, Galaxy, Pixel](https://c1.neweggimages.com/productimage/nb300/BFGYS2506090CY06ZFE.jpg)
Quick View
USB C to USB C Cable 240W [2 Pack, 3.3ft+6.6ft], Type C Charging Cable, USB C Fast Charging Cord, Nylon Braided USB C Cable Compatible with MacBook Pro 2021, i-Pad Pro, i-Pad Air 4th, Galaxy, Pixel
Limited time offer, ends 10/14
- Model #: H-1377
- $18.24 –
- Free Shipping

Quick View
- $30.50 –
- Free Shipping

Quick View
FOR For Gear Fit R350 Smart Watch Charging Cradle Dock +Cable
- Model #: ZCW4980
- $28.90 –
- Free Shipping

Quick View
- $22.00 –
- Free Shipping

Quick View
Tab 10.1v P7100 Dock Connector Charging Port Flex Cable Ribbon
- Model #: zcw1714
- $18.99 –
- Free Shipping

Quick View
FOR 3pcs/lot 1m magnetic For Mi Band 8 pro Redmi Band 2 fast Charging Cable Dock Base Adapter Smart Watch Accessorie
- Model #: zcw4823
- $25.90 –
- Free Shipping

Quick View
S10 G973 S10 Plus G975 Charging Coil NFC Flex Cable Replacement
- Model #: zcw1971
- $15.90 –
- Free Shipping

Quick View
FOR 2PCS/Lot 1m fast charging cable for Z10/Z9/Z8/Z7/Z6A bracelets Dock Adapter Smart Watch Accessories
- Model #: zcw4844
- $25.90 –
- Free Shipping

Quick View
USB C Cable 10ft/3M, Oculus Quest Link Cable, High Speed Data Transfer & Fast Charging Cable Compatible for Oculus Quest1/Quest2 and Gaming PC
Limited time offer, ends 10/14
- Model #: H-1902
- $14.78 –
- Free Shipping

Quick View
Aomoproing 5V USB Female to DC Power Jack 5.5 2.1mm Charge Cable for Cell Phone & Tablet
- Model #: o-1753
- $13.00 –
- Free Shipping

Quick View
U-bend type-c male to female data charging Android phone tablet game power supply cable adapter
Limited time offer, ends 10/14
- Model #: wa-837
- $16.93 –
- Free Shipping

Quick View
- $28.90 –
- Free Shipping

Quick View
30CM Type-C (USB-C) to Micro USB Male Sync Charge OTG Charger Cable Cord Adapter
Limited time offer, ends 10/12
- Model #: ZZL-RNU-ASD1275161
- $21.89 –
- Free Shipping

Quick View
FOR USB Charging Cable Compatible with , 5V for RFC-598 RFC-588 RFC-690 RFC-696 RSCX-7568
- Model #: ZCW4908
- $28.90 –
- Free Shipping

Quick View
- $32.50 –
- Free Shipping
![[10Gbps] USB C Female to USB Male Adapter Cable Electop USB 3.1 GEN 2 USB C Converter Support Double Sided 10Gbps Data Transfer & Power Charging USB A 3.1 to USB-C Cable [10Gbps] USB C Female to USB Male Adapter Cable Electop USB 3.1 GEN 2 USB C Converter Support Double Sided 10Gbps Data Transfer & Power Charging USB A 3.1 to USB-C Cable](https://c1.neweggimages.com/productimage/nb300/BK3NS25110703TIVN64.jpg)


![USB C to Lightning Cable 1M [Apple MFi Certified] iPhone Fast Charger Cable USB-C Power Delivery Charging Cord for iPhone 14/13/12/12 PRO Max/12 Mini/11/11PRO/XS/Max/XR/X/8/8Plus/iPad USB C to Lightning Cable 1M [Apple MFi Certified] iPhone Fast Charger Cable USB-C Power Delivery Charging Cord for iPhone 14/13/12/12 PRO Max/12 Mini/11/11PRO/XS/Max/XR/X/8/8Plus/iPad](https://c1.neweggimages.com/productimage/nb300/C1M4S25091601T606DE.jpg)

![USB C to Lightning Cable 3Pack 6FT [MFi Certified] iPhone Fast Charger Cable USB-C Power Delivery Charging Cord for iPhone 14/13/12/11/XS/XR/X/8/iPad White USB C to Lightning Cable 3Pack 6FT [MFi Certified] iPhone Fast Charger Cable USB-C Power Delivery Charging Cord for iPhone 14/13/12/11/XS/XR/X/8/iPad White](https://c1.neweggimages.com/productimage/nb300/C1M4S25091609BT2U03.jpg)